commit:     196d22296a3d71fb20ac4cf510c8d6928a9a5474
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 17 13:37:17 2022 +0000
Commit:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Apr 17 13:42:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=196d2229

virtual/perl-Compress-Raw-Zlib: Adapt for zlib fix

Bug: https://bugs.gentoo.org/837176
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>

 ....0.ebuild => perl-Compress-Raw-Zlib-2.101.0-r1.ebuild} |  4 ++--
 .../perl-Compress-Raw-Zlib-2.103.0.ebuild                 | 15 +++++++++++++++
 2 files changed, 17 insertions(+), 2 deletions(-)

diff --git 
a/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.101.0.ebuild 
b/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.101.0-r1.ebuild
similarity index 78%
rename from virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.101.0.ebuild
rename to 
virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.101.0-r1.ebuild
index 32755beb5f6e..91783b7ea3ba 100644
--- a/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.101.0.ebuild
+++ b/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.101.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -8,7 +8,7 @@ SLOT="0"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 
sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 
 RDEPEND="
-       || ( =dev-lang/perl-5.34* ~perl-core/${PN#perl-}-${PV} )
+       || ( ~dev-lang/perl-5.34.0 =dev-lang/perl-5.34.1 
~perl-core/${PN#perl-}-${PV} )
        dev-lang/perl:=
        !<perl-core/${PN#perl-}-${PV}
        !>perl-core/${PN#perl-}-${PV}-r999

diff --git 
a/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.103.0.ebuild 
b/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.103.0.ebuild
new file mode 100644
index 000000000000..49c881806d9d
--- /dev/null
+++ b/virtual/perl-Compress-Raw-Zlib/perl-Compress-Raw-Zlib-2.103.0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Virtual for ${PN#perl-}"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+       || ( =dev-lang/perl-5.34.1-r1 ~perl-core/${PN#perl-}-${PV} )
+       dev-lang/perl:=
+       !<perl-core/${PN#perl-}-${PV}
+       !>perl-core/${PN#perl-}-${PV}-r999
+"

Reply via email to